// Ansteuern eines Standard-LCD mit 4-Bit-Schnittstelle
// und Abfrage von zwei Pins fr Encoder
// Pin 1.0: E
// Pin 1.1: RS
// Pins 1.4 bis 1.7: D4 bis D7
// Pins 1.2 und 1.3: Eingnge z.B. fr Encoder (Schalten gegen Masse)
// 2010-11-19: von jl erstellt
// 2010-12-03: von jl um Eingnge erweitert
// 2010-12-03: von jl letzter Parameter von putCharacter auf char gendert

#ifndef DISPLAY02_H
#define DISPLAY02_H

#include <stdbool.h>
#include "io430.h"

void initialize(void);
void clear(void);
void putCharacter(unsigned char row, unsigned char column, char character);
void writeString(char s[]);
void writeNumber(unsigned int a);

// Achtung: Der Cursor wird automatisch hinter das aktuell geschriebene Zeichen verschoben.
void showCursor(bool visible, bool blinking);
void shiftCursor(bool right);
void moveCursor(unsigned char row, unsigned char column);

int getIncrement(void);
unsigned int getMillisecondsSinceLastChange(void); 
void waitOneMillisecond(void);
void waitMilliseconds(unsigned int duration);

#endif
